< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mdtpauthorisation
  Definition Classes
    hmrc
-  package client
  Definition Classes
    mdtpauthorisation
-  package retrievals
  Definition Classes
    client
- CompositeRetrieval
- EmptyRetrieval
- OptionalRetrieval
- Retrieval
- Retrievals
- SimpleRetrieval
- ~

o

uk.gov.hmrc.mdtpauthorisation.client.retrievals

# Retrievals 

###
Companion trait Retrievals

#### object Retrievals extends Retrievals

Linear Supertypes
Retrievals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Retrievals
2. Retrievals
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val affinityGroup: Retrieval[Option[AffinityGroup]]
   Definition Classes
     Retrievals
5.  val agentCode: Retrieval[Option[String]]
   Definition Classes
     Retrievals
6.  val agentInformation: Retrieval[AgentInformation]
   Definition Classes
     Retrievals
7.  val allEnrolments: Retrieval[Enrolments]
   Definition Classes
     Retrievals
8.  val allItmpUserDetails: Retrieval[~[~[Option[ItmpName], Option[LocalDate]], Option[ItmpAddress]]]
   Definition Classes
     Retrievals
9.  val allUserDetails: Retrieval[~[~[~[~[~[~[~[~[~[~[~[Option[Credentials], Option[Name]], Option[LocalDate]], Option[String]], Option[String]], Option[AffinityGroup]], Option[String]], AgentInformation], Option[CredentialRole]], Option[String]], Option[String]], Option[Int]]]
   Definition Classes
     Retrievals
10.  val applicationId: Retrieval[Option[String]]
    Definition Classes
      Retrievals
11.  val applicationName: Retrieval[Option[String]]
    Definition Classes
      Retrievals
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  val authorisedEnrolments: Retrieval[Enrolments]
    Definition Classes
      Retrievals
14.  val clientId: Retrieval[Option[String]]
    Definition Classes
      Retrievals
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
16.  val confidenceLevel: Retrieval[ConfidenceLevel]
    Definition Classes
      Retrievals
17.  val credentialRole: Retrieval[Option[CredentialRole]]
    Definition Classes
      Retrievals
18.  val credentialStrength: Retrieval[Option[String]]
    Definition Classes
      Retrievals
19.  val credentials: Retrieval[Option[Credentials]]
    Definition Classes
      Retrievals
20.  val dateOfBirth: Retrieval[Option[LocalDate]]
    Definition Classes
      Retrievals
21.  val description: Retrieval[Option[String]]
    Definition Classes
      Retrievals
22.  val email: Retrieval[Option[String]]
    Definition Classes
      Retrievals
23.  val emailVerified: Retrieval[Option[Boolean]]
    Definition Classes
      Retrievals
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
26.  val externalId: Retrieval[Option[String]]
    Definition Classes
      Retrievals
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
28.  val gatewayInformation: Retrieval[Option[GatewayInformation]]
    Definition Classes
      Retrievals
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  val groupIdentifier: Retrieval[Option[String]]
    Definition Classes
      Retrievals
31.  val groupProfile: Retrieval[Option[String]]
    Definition Classes
      Retrievals
32.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  val internalId: Retrieval[Option[String]]
    Definition Classes
      Retrievals
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  val itmpAddress: Retrieval[Option[ItmpAddress]]
    Definition Classes
      Retrievals
36.  val itmpDateOfBirth: Retrieval[Option[LocalDate]]
    Definition Classes
      Retrievals
37.  val itmpName: Retrieval[Option[ItmpName]]
    Definition Classes
      Retrievals
38.  val legacySaUserId: Retrieval[Option[String]]
    Definition Classes
      Retrievals
39.  val localDateFormat: Format[LocalDate]
    Definition Classes
      Retrievals
40.  val loginTimes: Retrieval[LoginTimes]
    Definition Classes
      Retrievals
41.  val mdtpInformation: Retrieval[Option[MdtpInformation]]
    Definition Classes
      Retrievals
42.  val name: Retrieval[Option[Name]]
    Definition Classes
      Retrievals
43.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
44.  val nino: Retrieval[Option[String]]
    Definition Classes
      Retrievals
45.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
46.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
47.  val oauthTokens: Retrieval[Option[OauthTokens]]
    Definition Classes
      Retrievals
48.  val postCode: Retrieval[Option[String]]
    Definition Classes
      Retrievals
49.  val profile: Retrieval[Option[String]]
    Definition Classes
      Retrievals
50.  val saUtr: Retrieval[Option[String]]
    Definition Classes
      Retrievals
51.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
52.  def toString(): String
    Definition Classes
      AnyRef → Any
53.  val trustedHelper: Retrieval[Option[TrustedHelper]]
    Definition Classes
      Retrievals
54.  val unreadMessageCount: Retrieval[Option[Int]]
    Definition Classes
      Retrievals
55.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
56.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
57.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Retrievals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped